This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 166945 - Review Request: bmp-flac2 - A FLAC playback plugin for BMP
Review Request: bmp-flac2 - A FLAC playback plugin for BMP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
David Lawrence
http://ryoko.camperquake.de/fedora/bm...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-28 12:36 EDT by Ralf Ertzinger
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 07:25:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Spec file patch (1.37 KB, patch)
2005-10-14 16:52 EDT, Matthias Saou
no flags Details | Diff

  None (edit)
Description Ralf Ertzinger 2005-08-28 12:36:26 EDT
Spec Name or Url: http://ryoko.camperquake.de/fedora/bmp-flac2/bmp-flac2.spec
SRPM Name or Url: http://ryoko.camperquake.de/fedora/bmp-flac2/bmp-flac2-004-1.sky.src.rpm
Description: This plugin for the Beep Media Player enables playback of files encoded
with the Free Lossless Audio Codec (FLAC).
Comment 1 Matthias Saou 2005-10-14 11:12:49 EDT
Ralf, have you improved the plugin since this bug was opened, it is now fully
featured? It seems that there is still no official effort on the BMP end to
create a FLAC input plugin, and trying to find one is still a nightmare...

Matthias
Comment 2 Ralf Ertzinger 2005-10-14 13:15:11 EDT
There are updated files available at http://ryoko.camperquake.de/fedora/bmp-flac2/
Version 006 can seek, display file tags and has recieved moderate testing. There
are no currently known bugs :)
Comment 3 Matthias Saou 2005-10-14 13:40:22 EDT
Great news! So, with seeking and tag reading implemented, are there any
important features missing? If not, I'll definitely be reviewing this package :-)
Comment 4 Ralf Ertzinger 2005-10-14 13:44:01 EDT
Well, see for yourself if anything you consider important is in the "missing" list:
http://www.skytale.net/projects/bmp-flac2/
Comment 5 Matthias Saou 2005-10-14 16:51:31 EDT
Attached is a quick spec file patch. The major change is that the bmp plugin
directory is queried properly by pkg-config instead of being hardcoded (not very
important, but can become a nice feature in the future, to have bmp and bmpx
co-exist for instance). Another change is the removal of the 
desktop-file-utils dependency, replaced by "|| :" for the
update-desktop-database calls : I find this cleaner in the sense that the
application would be able to get installed without a whole freedesktop setup and
still run.

Let me know if you include those changes, and I'll approve the package ASAP!
Comment 6 Matthias Saou 2005-10-14 16:52:37 EDT
Created attachment 120000 [details]
Spec file patch
Comment 7 Ralf Ertzinger 2005-10-17 06:27:23 EDT
The changes you requested (quite reasonable ones at that) are in
http://ryoko.camperquake.de/fedora/bmp-flac2/ now.
Comment 8 Matthias Saou 2005-10-17 06:39:23 EDT
Great, thanks!

I've got a last question, and since you're the author it should be an easy one :
What about a possible package name change from bmp-flac2 to plain bmp-flac? I
understand that you named the original project "bmp-flac2" because a previous
hackish plugin already existed, but if yours now becomes to mainly used one, the
number in the name will be quite useless and could even be considered misleading
if some day the FLAC developers come up with a new improved and incompatible
compression that they call... "FLAC2" :-) (just an example)

I'm not asking you to change the project name or anything, but just consider the
possibility of having the Extras package named "bmp-flac", to make it as clear
and simple as possible for the Fedora end users.
Comment 9 Ralf Ertzinger 2005-10-17 06:45:50 EDT
The package will become obsolete anyway in the not-too-distant future, as the
developers of BMP work on what is currently known as BMPX, which is a complete
rewrite using gsteamer as a backend, thus obsoleting the need for this plugin.

How about adding "Provides: bmp-flac" to the package? So "yum install bmp-flac"
would get it, wouldn't it?

I am a little reluctant to have the name of the package differ from that of the
project being packaged inside, especially since the name "bmp-flac" is kind of
taken, as you pointed out.
Comment 10 Matthias Saou 2005-10-17 07:09:43 EDT
Alright, I asked just in case :-)
bmpx is a goodd point, although given all the dependencies it has on very recent
libraries, it'll have to be FC5+ specific, so plain old bmp will stick around
for a while on >= FC4.

Anyway, I'm ready to approve the package! I can't seem to find your Fedora
Extras user account... if you haven't got one yet, please create one, and notify
me once it's ready to be activated so that I can sponsor you :

http://fedoraproject.org/wiki/PackageReviewGuidelines
Comment 11 Ralf Ertzinger 2005-10-17 07:17:55 EDT
Uhmm... I think I have to have an account, on behalf of maintaining several
packages already :) CVS Username is ertzing
Comment 12 Matthias Saou 2005-10-17 07:25:31 EDT
Silly me, I was looking at accounts starting with "R" and searching for "Ralf"
in the CVS commits ;-)
Comment 13 Matthias Saou 2005-10-18 06:58:48 EDT
Hum, my basic testing had worked fine, but I now just tried to open some
ogg/vorbis files (eject button, select all in a directory and click open), and
bmp segfaults. Doing "rpm -e bmp-flac2" and restarting bmp fixes the problem,
and mp3 files are totally unaffected, only ogg it seems... could you please
test/check this?

FYI, I'm using a CVS version of the stable 0.9.7.
Comment 14 Ralf Ertzinger 2005-10-18 07:48:38 EDT
Can you recompile with "%configure --debug", reinstall and start bmp from the
command line? There ought to be a lots of output. I'd be grateful for a
backtrace, too.
Comment 15 Ralf Ertzinger 2005-10-18 12:18:39 EDT
I just tried this on my x86 and ppc and it works as expected. Hm.
Comment 16 Ralf Ertzinger 2005-11-09 12:03:47 EST
Matthias, can you reproduce the crash and provide me with a debug output and a
backtrace? Or shall I import the package 'as is'?

Note You need to log in before you can comment on or make changes to this bug.